TULISAN - Bug #3555

[CRM] Pop Up AJAX Error ketika Submit Order
04/09/2025 03:12 PM - haykal haykal

Status: Closed Start date: 04/09/2025
Priority: Normal Due date:

Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Saat ini 'kan pas Checkout setelah Submit Order muncul popup AJAX Error seperti di foto yang diattach. Memang data transaksinya
masuk tersimpan di db dan di port. Tapi tolong agar pop upnya jangan AJAX Error seperti itu ya... Soalnya rencananya CRMnya
akan dishow lagi hari Kamis atau Jum'at ini. Jadi kalau bisa tampilannya jangan AJAX Error lagi, tapi Order Submitted seperti yang
sebelumnya sudah pernah dibuat.

Terimakasih.

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Checkout

History

#1 - 04/09/2025 03:12 PM - haykal haykal
- Subject changed from Pop Up AJAX Error ketika Submit Order to [CRM] Pop Up AJAX Error ketika Submit Order

#2 - 04/09/2025 04:03 PM - shofwan shiddiq

- File clipboard-202504091602-23nbh.png added

- Status changed from New to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Ajax error itu error nya di backend API2 karena aplikasi CRM (Front-end) menerima message error dari API 2, ada issue di backend yang tidak
sinkron antara treatment di database, dengan message return ke front-end.

e Seharusnya kalau error, berarti transaksi gagal
e Kalau transaksi berhasil, maka message success

Ini saat di coba langsung di API2 tulisan dev di cloud 89. Hal ini terjadi hanya kepada user yang tidak memiliki nilai deposit
#3 - 04/09/2025 05:17 PM - haykal haykal
- Status changed from QA Test to Closed

#4 - 04/09/2025 05:22 PM - haykal haykal
- File AJAX Error tolong diperbaiki.png added
- Status changed from Closed to Assigned

- Assignee changed from haykal haykal to shofwan shiddigq
at MinovalS.MinovaES.Business.logistic.SysCore.SaveDocument (String tronsType, String docType, IEnumerable’ 1 header, IEnumerable’l detail, ActionSave action, Boolean forcemctiom, Boolean simulate,

Logistic.SysCore.SaveDocument (String transType, String docType, IEnumerable’1 header, IEnumerasble’1 detail, ActionSave action, Boolean forcefction, Boolean simulate,

at MinovalS.MinovaEs.Web.fpi.V._l.logistic.SaveTableDoc(String transType, String docType, String header, String detail, String action, 5tring token)

lya Wan bener, kalau misalnya gakpunya Deposit (misal pake Guest) dia masih muncul popup AJAX Error.

Yaudah nanti kalau misalkan ini udh solved gak AJAX Error lagi balikin aja redminenya QA Test ke gua.

Thanks.

#5 - 04/09/2025 05:42 PM - shofwan shiddiq
- Assignee changed from shofwan shiddiq to haykal haykal

Ini issue nya bukan di CRM, dan gak ada yg perlu di betulin di CRM

#6 - 04/10/2025 03:55 PM - Kezia Pawitra Yulianti

jadi gimana ini statusnya skrg?

#7 - 04/11/2025 06:16 PM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty

Mungkin Mbak Yomma bisa bantu ya Mbak.

#8 - 04/15/2025 03:19 PM - Tri Rizqiaty
- File MinovalS.MinovaES.Business.Logistic.dll added

- Status changed from Assigned to Developing

Fixing :

Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll
#9 - 04/15/2025 03:19 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#10 - 04/16/2025 10:25 AM - haykal haykal
- Status changed from QA Test to Closed

Files

clipboard-202504091602-23nbh.png 307 KB 04/09/2025 shofwan shiddiq

AJAX Error tolong diperbaiki.png 31.3KB 04/09/2025 haykal haykal

MinovalS.MinovaES.Business.Logistic.dll 84 KB 04/15/2025 Tri Rizqgiaty
07/04/2025 3/3


http://www.tcpdf.org

